#
# spec file for package nss_ldap (Version 167)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  db-devel openldap2 openldap2-client openldap2-devel openssl openssl-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db db-devel devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         nss_ldap
Copyright:    LGPL
Group:        System Environment/Libraries
Autoreqprov:  on
Version:      167
Release:      54
Summary:      NSS LDAP Module
URL:          http://www.padl.com/nss_ldap.html
Source:       ftp://ftp.padl.com/pub/nss_ldap-%{version}.tar.bz2
Source1:      README.SuSE
Patch:         nss_ldap-%{version}.dif
BuildRoot:    /var/tmp/%{name}-root

%description
nss_ldap is a glibc NSS module which allows X.500 and LDAP
directory servers to be used as a primary source of aliases, ethers,
groups, hosts, networks, protocol, users, RPCs, services and shadow
passwords (instead of or in addition to using flat files or NIS).

Authors:
--------
    PADL Software Pty Ltd <dev@padl.com>

SuSE series: n

%prep
%setup
%patch
cp -v  %{S:1} .

%build
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" ./configure \
                        --prefix=/usr \
                        --enable-rfc2307bis
make 

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/openldap
mkdir -p $RPM_BUILD_ROOT/lib
mkdir -p $RPM_BUILD_ROOT/usr/lib
install -m 755 nss_ldap.so $RPM_BUILD_ROOT/lib/libnss_ldap.so.2
ln -s ../../lib/libnss_ldap.so.2  $RPM_BUILD_ROOT/usr/lib/libnss_ldap.so

%clean
rm -fr $RPM_BUILD_ROOT

%files
%doc ANNOUNCE  COPYING ChangeLog NEWS AUTHORS  README README.SuSE nsswitch.ldap ldap.conf
/lib/libnss_ldap.so.2
/usr/lib/libnss_ldap.so
%dir /etc/openldap

%changelog -n nss_ldap
* Tue Aug 07 2001 - cihlar@suse.cz
- update to version 167
* Sat May 12 2001 - schwab@suse.de
- Fix missing declarations.
- Add %%suse_update_config.
* Thu Apr 19 2001 - kukuk@suse.de
- Do not enable ids-uid, it is broken
* Wed Apr 18 2001 - pblaha@suse.cz
- back to /etc/openldap/ldap.conf
- update on version 150
- add URL
* Wed Mar 21 2001 - ro@suse.de
- fixed neededforbuild again
* Fri Mar 16 2001 - pblaha@suse.cz
- update on version 149
- add build root
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Wed Jan 31 2001 - choeger@suse.de
- link against ldaplib2
* Mon Dec 11 2000 - kukuk@suse.de
- Update to 123
* Sat Nov 04 2000 - kukuk@suse.de
- Use ldaplib
* Thu Jun 01 2000 - kukuk@suse.de
- Update to 110
* Mon Apr 10 2000 - kukuk@suse.de
- Fix typo in path to config file
* Tue Feb 15 2000 - kukuk@suse.de
- Update to version 105
* Tue Oct 12 1999 - kukuk@suse.de
- Update to 87
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 09 1999 - kukuk@suse.de
- Update to 85
* Mon Jul 12 1999 - kukuk@suse.de
- Update to 81
- Add ldap.conf and README.SuSE to documentation
* Fri Jun 25 1999 - kukuk@suse.de
- Update to 2.77
* Wed Jun 09 1999 - kukuk@suse.de
- Update to 2.69
* Fri May 07 1999 - kukuk@suse.de
- Initial version of nss_ldap 2.64
